Name:		gambas3
Summary:	Complete IDE based on a BASIC interpreter with object extensions
Version:	3.9.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/Basic
URL:		http://gambas.sourceforge.net
Source0:	http://sourceforge.net/projects/gambas/files/gambas3/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop

Patch0:		gambas-llvm-3.3.patch
Patch1:		gambas3-3.8.4-CVE-2013-7447.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	xdg-utils
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	jpeg-devel
BuildRequires:	llvm-devel >= 3.9.1
BuildRequires:	mysql-devel
BuildRequires:	unixODBC-devel
BuildRequires:	pkgconfig(alure)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(sqlite)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xtst)
###Qt4 ###
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(QtWebKit)
### Qt5 ###
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5X11Extras)

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, translate your program into many languages,
create network applications easily, build RPMs of your apps
automatically, and so on...

#-----------------------------------------------------------------------------

%package runtime
Summary: The Gambas runtime
Group: Development/Basic

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%files runtime
%doc README AUTHORS ChangeLog
%{_bindir}/gbx3
%{_bindir}/gbr3
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gb.component
%{_libdir}/%{name}/gb.debug.*
%{_libdir}/%{name}/gb.eval.component
%{_libdir}/%{name}/gb.eval.so*
%{_libdir}/%{name}/gb.draw.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/info
%{_datadir}/%{name}/info/gb.info
%{_datadir}/%{name}/info/gb.list
%{_datadir}/%{name}/info/gb.debug.*
%{_datadir}/%{name}/info/gb.eval.list
%{_datadir}/%{name}/info/gb.eval.info
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/application-x-%{name}.png
%{_datadir}/%{name}/template/
%dir %{_datadir}/%{name}/control

#-----------------------------------------------------------------------------

%package devel
Summary: The Gambas development package
Group: Development/Basic

%description devel
This package includes all tools needed to compile Gambas projects
without having to install the complete development environment.

%files devel
%{_bindir}/gbc3
%{_bindir}/gba3
%{_bindir}/gbi3

#-----------------------------------------------------------------------------

%package script
Summary: The Gambas scripter package
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}

%description script
This package includes the scripter program that allows to write script files
in Gambas.

%files script
%{_bindir}/gbs3
%{_bindir}/gbs3.gambas
%{_bindir}/gbw3
%{_datadir}/%{name}/icons/application-x-gambasserverpage.png
%{_datadir}/%{name}/icons/application-x-gambasscript.png

#-----------------------------------------------------------------------------

%package ide
Summary: The Gambas IDE
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}
Requires: %{name}-gb-db = %{version}
Requires: %{name}-gb-db-form = %{version}
Requires: %{name}-gb-dbus = %{version}
Requires: %{name}-gb-desktop = %{version}
Requires: %{name}-gb-eval-highlight = %{version}
Requires: %{name}-gb-form = %{version}
Requires: %{name}-gb-form-dialog = %{version}
Requires: %{name}-gb-form-editor = %{version}
Requires: %{name}-gb-form-mdi = %{version}
Requires: %{name}-gb-form-stock = %{version}
Requires: %{name}-gb-form-terminal = %{version}
Requires: %{name}-gb-gui = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-image-effect = %{version}
Requires: %{name}-gb-inotify = %{version}
Requires: %{name}-gb-markdown = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-net-curl = %{version}
Requires: %{name}-gb-qt5 = %{version}
Requires: %{name}-gb-qt5-ext = %{version}
Requires: %{name}-gb-qt5-webkit = %{version}
Requires: %{name}-gb-settings = %{version}
Requires: %{name}-gb-clipper = %{version}
Requires: %{name}-gb-geom = %{version}
Requires: %{name}-gb-sdl2 = %{version}
Requires: %{name}-gb-sdl2-audio = %{version}
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: gettext
Requires: rpm-build

Obsoletes: %{name}-examples < 3.8.4-8

%description ide
This package together with dependencies form the complete Gambas Development
Environment. Other gambas3-* packages may be needed to run programs
(including the examples), in which case there will be messages about that.

%files ide
%{_bindir}/%{name}
%{_bindir}/%{name}.gambas
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_iconsdir}/hicolor/*/*/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml

#-----------------------------------------------------------------------------

%package gb-cairo
Summary: The Gambas Cairo component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-cairo
This package contains the Gambas Cario components.

%files gb-cairo
%{_libdir}/%{name}/gb.cairo.*
%{_datadir}/%{name}/info/gb.cairo.*

#-----------------------------------------------------------------------------

%package gb-chart
Summary: The Gambas chart component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-chart
This package contains the Gambas Chart components.

%files gb-chart
%{_libdir}/%{name}/gb.chart.*
%{_datadir}/%{name}/info/gb.chart.*

#-----------------------------------------------------------------------------

%package gb-clipper
Summary: The Gambas clipper component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-clipper
This package contains the Gambas Clipper components.
It wraps the Clipper library that performs polygon clipping:
 - intersection
 - union
 - difference & exclusive-or
 - polygon and polyline offsetting.
The library is based on Vatti's clipping algorithm.

%files gb-clipper
%{_libdir}/%{name}/gb.clipper.*
%{_datadir}/%{name}/info/gb.clipper.*

#-----------------------------------------------------------------------------

%package gb-compress
Summary: The Gambas compression component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%files gb-compress
%{_libdir}/%{name}/gb.compress.*
%{_datadir}/%{name}/info/gb.compress.*

#-----------------------------------------------------------------------------

%package gb-crypt
Summary: The Gambas cryptography component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-crypt
This component allows you to use cryptography in your projects.

%files gb-crypt
%{_libdir}/%{name}/gb.crypt.*
%{_datadir}/%{name}/info/gb.crypt.*

#-----------------------------------------------------------------------------

%package gb-db
Summary: The Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%files gb-db
%{_libdir}/%{name}/gb.db.so*
%{_libdir}/%{name}/gb.db.component
%{_libdir}/%{name}/gb.db.gambas
%{_datadir}/%{name}/info/gb.db.info
%{_datadir}/%{name}/info/gb.db.list

#-----------------------------------------------------------------------------

%package gb-db-form
Summary: The Gambas db-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db-form
This package contains the Gambas Database form components.

%files gb-db-form
%{_libdir}/%{name}/gb.db.form.*
%{_datadir}/%{name}/info/gb.db.form.*
%{_datadir}/%{name}/control/gb.db.form

#-----------------------------------------------------------------------------

%package gb-db-mysql
Summary: The MySQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-mysql
This component allows you to access MySQL databases.

%files gb-db-mysql
%{_libdir}/%{name}/gb.db.mysql.*
%{_datadir}/%{name}/info/gb.db.mysql.*

#-----------------------------------------------------------------------------

%package gb-db-odbc
Summary: The ODBC driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-odbc
This component allows you to access ODBC databases.

%files gb-db-odbc
%{_libdir}/%{name}/gb.db.odbc.*
%{_datadir}/%{name}/info/gb.db.odbc.*

#-----------------------------------------------------------------------------

%package gb-db-postgresql
Summary: The PostgreSQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-postgresql
This component allows you to access PostgreSQL databases.

%files gb-db-postgresql
%{_libdir}/%{name}/gb.db.postgresql.*
%{_datadir}/%{name}/info/gb.db.postgresql.*

#-----------------------------------------------------------------------------

%package gb-db-sqlite2
Summary: The SQLite 2 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-sqlite2
This component allows you to access SQLite 2 databases.

%files gb-db-sqlite2

%{_libdir}/%{name}/gb.db.sqlite2.*
%{_datadir}/%{name}/info/gb.db.sqlite2.*

#-----------------------------------------------------------------------------

%package gb-db-sqlite3
Summary: The SQLite 3 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-sqlite3
This component allows you to access SQLite 3 databases.

%files gb-db-sqlite3

%{_libdir}/%{name}/gb.db.sqlite3.*
%{_datadir}/%{name}/info/gb.db.sqlite3.*

#-----------------------------------------------------------------------------

%package gb-dbus
Summary: The Gambas dbus component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-dbus
This package contains the Gambas D-bus components.

%files gb-dbus

%{_libdir}/%{name}/gb.dbus.*
%{_datadir}/%{name}/info/gb.dbus.*

#-----------------------------------------------------------------------------

%package gb-desktop
Summary: The Gambas XDG component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-desktop
This component allows you to use desktop-agnostic routines based on
the xdg-utils scripts of the Portland project.

%files gb-desktop

%{_libdir}/%{name}/gb.desktop.*
%{_datadir}/%{name}/info/gb.desktop.*
%{_datadir}/%{name}/control/gb.desktop

#-----------------------------------------------------------------------------

%package gb-eval-highlight
Summary: The Gambas eval-highlight component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-eval-highlight
This component implements the eval-highlight componet.

%files gb-eval-highlight

%{_libdir}/%{name}/gb.eval.highlight.*
%{_datadir}/%{name}/info/gb.eval.highlight.*

#-----------------------------------------------------------------------------

%package gb-form
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form
This component implements the form control.

%files gb-form
%{_libdir}/%{name}/gb.form.component
%{_libdir}/%{name}/gb.form.gambas
%{_datadir}/%{name}/control/gb.form
%{_datadir}/%{name}/info/gb.form.info
%{_datadir}/%{name}/info/gb.form.list

#-----------------------------------------------------------------------------

%package gb-form-editor
Summary: The Gambas dialog form editor component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-editor
This component implements the form-editor control.

%files gb-form-editor
%{_libdir}/%{name}/gb.form.editor.component
%{_libdir}/%{name}/gb.form.editor.gambas
%dir %{_datadir}/%{name}/control/gb.form.editor
%{_datadir}/%{name}/control/gb.form.editor/*
%{_datadir}/%{name}/info/gb.form.editor.info
%{_datadir}/%{name}/info/gb.form.editor.list

#-----------------------------------------------------------------------------

%package gb-form-dialog
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-dialog
This component implements the form-dialog control.

%files gb-form-dialog

%{_libdir}/%{name}/gb.form.dialog.component
%{_libdir}/%{name}/gb.form.dialog.gambas
%{_datadir}/%{name}/info/gb.form.dialog.info
%{_datadir}/%{name}/info/gb.form.dialog.list

#-----------------------------------------------------------------------------

%package gb-form-mdi
Summary: The Gambas mdi form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-mdi
This component implements the form-mdi control.

%files gb-form-mdi

%{_libdir}/%{name}/gb.form.mdi.component
%{_libdir}/%{name}/gb.form.mdi.gambas
%{_datadir}/%{name}/control/gb.form.mdi
%{_datadir}/%{name}/info/gb.form.mdi.info
%{_datadir}/%{name}/info/gb.form.mdi.list

#-----------------------------------------------------------------------------

%package gb-form-stock
Summary: The Gambas stock form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-stock
This component implements the form-stock control.

%files gb-form-stock

%{_libdir}/%{name}/gb.form.stock.component
%{_libdir}/%{name}/gb.form.stock.gambas
%{_datadir}/%{name}/info/gb.form.stock.info
%{_datadir}/%{name}/info/gb.form.stock.list

#-----------------------------------------------------------------------------

%package gb-form-terminal
Summary: The Gambas terminal form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-terminal
This component implements the form-terminal control.

%files gb-form-terminal

%{_libdir}/%{name}/gb.form.terminal.component
%{_libdir}/%{name}/gb.form.terminal.gambas
%{_datadir}/%{name}/info/gb.form.terminal.info
%{_datadir}/%{name}/info/gb.form.terminal.list
%dir %{_datadir}/%{name}/control/gb.form.terminal
%{_datadir}/%{name}/control/gb.form.terminal/terminalview.png

#-----------------------------------------------------------------------------

%package gb-geom
Summary: The Gambas Geometry hidden component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-geom
This component implements all geometry classes:
 - Point
 - PointF
 - Rect
 - RectF

%files gb-geom
%{_libdir}/%{name}/gb.geom.*

#-----------------------------------------------------------------------------

%package gb-gtk
Summary: The Gambas GTK+ GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gtk
This package contains the Gambas GTK+ GUI components.

%files gb-gtk

%{_libdir}/%{name}/gb.gtk.*
%{_datadir}/%{name}/info/gb.gtk.*

#-----------------------------------------------------------------------------

%package gb-gtk3
Summary: The Gambas GTK+ 3 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gtk3
This package contains the Gambas GTK+ 3 GUI components.

%files gb-gtk3

%{_libdir}/%{name}/gb.gtk3.*
%{_datadir}/%{name}/info/gb.gtk3.*

#-----------------------------------------------------------------------------

%package gb-gmp
Summary: The Gambas gmp component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gmp
This component implements an interface to the Gnu Multiple Precision
Arithmetic Library.

%files gb-gmp

%{_libdir}/%{name}/gb.gmp.*
%{_datadir}/%{name}/info/gb.gmp.*

#-----------------------------------------------------------------------------

%package gb-gsl
Summary: The Gambas interface to the GNU Scientific Library
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gsl
This component provides an interface to the GNU Scientific Library.

%files gb-gsl
%{_libdir}/%{name}/gb.gsl.*
%{_datadir}/%{name}/info/gb.gsl.*

#-----------------------------------------------------------------------------

%package gb-gui
Summary: The Gambas GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gui
This is a component that just loads gb.qt if you are running KDE or
gb.gtk in the other cases.

%files gb-gui

%{_libdir}/%{name}/gb.gui.*
%{_datadir}/%{name}/info/gb.gui.*

#-----------------------------------------------------------------------------

%package gb-jit
Summary: The Gambas JIT component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-jit
This component provides the jit compiler for gambas.

%files gb-jit

#-----------------------------------------------------------------------------

%package gb-image
Summary: The Gambas image manipulation component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image
This component allows you to apply various effects to images.

%files gb-image

%{_libdir}/%{name}/gb.image.component
%{_libdir}/%{name}/gb.image.so*
%{_datadir}/%{name}/info/gb.image.info
%{_datadir}/%{name}/info/gb.image.list

#-----------------------------------------------------------------------------

%package gb-image-effect
Summary: The Gambas image effect component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image-effect
This component allows you to apply various effects to images.

%files gb-image-effect

%{_libdir}/%{name}/gb.image.effect.*
%{_datadir}/%{name}/info/gb.image.effect.*

#-----------------------------------------------------------------------------

%package gb-image-imlib
Summary: The Gambas image imlib component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image-imlib
This component allows you to manipulate images with imlibs.

%files gb-image-imlib

%{_libdir}/%{name}/gb.image.imlib.*
%{_datadir}/%{name}/info/gb.image.imlib.*

#-----------------------------------------------------------------------------

%package gb-image-io
Summary: The Gambas image io component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image-io
This component allows you to perform images input output operations.

%files gb-image-io

%{_libdir}/%{name}/gb.image.io.*
%{_datadir}/%{name}/info/gb.image.io.*

#-----------------------------------------------------------------------------

%package gb-inotify
Summary: The Gambas inotify component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-inotify
This component enables you to catch filesystem events using Linux' inotify API.

%files gb-inotify

%{_libdir}/%{name}/gb.inotify.*
%{_datadir}/%{name}/info/gb.inotify.*

#-----------------------------------------------------------------------------

%package gb-map
Summary: The Gambas map component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-map
This component implements an online map viewer
based on Google Maps, OpenStreetMap, etc.

%files gb-map

%{_libdir}/%{name}/gb.map*
%{_datadir}/%{name}/info/gb.map*
%dir %{_datadir}/%{name}/control/gb.map
%{_datadir}/%{name}/control/gb.map/mapview.png

#-----------------------------------------------------------------------------

%package gb-markdown
Summary: The Gambas markdown component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-markdown
This component allows to convert the Gambas Markdown Syntax to HTML.

%files gb-markdown

%{_libdir}/%{name}/gb.markdown*
%{_datadir}/%{name}/info/gb.markdown*

#-----------------------------------------------------------------------------

%package gb-media
Summary: The Gambas media component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-media
This package contains the Gambas media component.

%files gb-media

%{_libdir}/%{name}/gb.media.*
%{_datadir}/%{name}/info/gb.media.*
%dir %{_datadir}/%{name}/control/gb.media.form
%{_datadir}/%{name}/control/gb.media.form/mediaview.png

#-----------------------------------------------------------------------------

%package gb-mime
Summary: The Gambas mime component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mime
This component allows to parse a string and convert it to a MIME message and
the contrary.

It is based on the gmime library.

%files gb-mime
%{_libdir}/%{name}/gb.mime.*
%{_datadir}/%{name}/info/gb.mime.*

#-----------------------------------------------------------------------------

%package gb-memcached
Summary: The Gambas memcached component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-memcached
This components aims at providing a fully usable interface to memcached,
a free and open source, high-performance, distributed memory object
caching system.

%files gb-memcached

%{_libdir}/%{name}/gb.memcached*
%{_datadir}/%{name}/info/gb.memcached*

#-----------------------------------------------------------------------------

%package gb-mysql
Summary: The Gambas mysql component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mysql
This package contains the Gambas MySQL components.

%files gb-mysql

%{_libdir}/%{name}/gb.mysql.*
%{_datadir}/%{name}/info/gb.mysql.*

#-----------------------------------------------------------------------------
%package gb-ncurses
Summary: The Gambas ncurses component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-ncurses
This component allows you to use ncurses with gambas.

%files gb-ncurses

%{_libdir}/%{name}/gb.ncurses.so*
%{_libdir}/%{name}/gb.ncurses.component
%{_datadir}/%{name}/info/gb.ncurses.info
%{_datadir}/%{name}/info/gb.ncurses.list

#-----------------------------------------------------------------------------

%package gb-net
Summary: The Gambas networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%files gb-net

%{_libdir}/%{name}/gb.net.so*
%{_libdir}/%{name}/gb.net.component
%{_datadir}/%{name}/info/gb.net.info
%{_datadir}/%{name}/info/gb.net.list

#-----------------------------------------------------------------------------

%package gb-net-curl
Summary: The Gambas advanced networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%files gb-net-curl

%{_libdir}/%{name}/gb.net.curl.so*
%{_libdir}/%{name}/gb.net.curl.gambas
%{_libdir}/%{name}/gb.net.curl.component
%{_datadir}/%{name}/info/gb.net.curl.info
%{_datadir}/%{name}/info/gb.net.curl.list

#-----------------------------------------------------------------------------

%package gb-net-smtp
Summary: The Gambas SMTP component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-smtp
This component allows you to send emails using the SMTP protocol.

%files gb-net-smtp

%{_libdir}/%{name}/gb.net.smtp.*
%{_datadir}/%{name}/info/gb.net.smtp.*
%dir %{_datadir}/%{name}/control/gb.net.smtp
%{_datadir}/%{name}/control/gb.net.smtp/smtpclient.png

#-----------------------------------------------------------------------------

%package gb-net-pop3
Summary: The Gambas POP3 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-pop3
This component allows you to send emails using the POP3 protocol.

%files gb-net-pop3

%{_libdir}/%{name}/gb.net.pop3.*
%{_datadir}/%{name}/info/gb.net.pop3.*
%dir %{_datadir}/%{name}/control/gb.net.pop3
%{_datadir}/%{name}/control/gb.net.pop3/pop3client.png

#-----------------------------------------------------------------------------

%package gb-openal
Summary: The Gambas OpenAL 3D audio component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-openal
This component allows you to use the OpenAL 3D audio library.

%files gb-openal

%{_libdir}/%{name}/gb.openal.component
%{_libdir}/%{name}/gb.openal.so*
%{_datadir}/%{name}/info/gb.openal.info
%{_datadir}/%{name}/info/gb.openal.list

#-----------------------------------------------------------------------------

%package gb-opengl
Summary: The Gambas OpenGL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl

%{_libdir}/%{name}/gb.opengl.component
%{_libdir}/%{name}/gb.opengl.so*
%{_datadir}/%{name}/info/gb.opengl.info
%{_datadir}/%{name}/info/gb.opengl.list

#-----------------------------------------------------------------------------

%package gb-opengl-glsl
Summary: The Gambas opengl-glsl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl-glsl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glsl

%{_libdir}/%{name}/gb.opengl.glsl.*
%{_datadir}/%{name}/info/gb.opengl.glsl.*

#-----------------------------------------------------------------------------

%package gb-opengl-glu
Summary: The Gambas opengl-glu component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl-glu
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glu

%{_libdir}/%{name}/gb.opengl.glu.*
%{_datadir}/%{name}/info/gb.opengl.glu.*

#-----------------------------------------------------------------------------

%package gb-opengl-sge
Summary: The Gambas opengl-sge component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-opengl-sge
This component is a simple OpenGL game engine based on the MD2 model format.

%files gb-opengl-sge

%{_libdir}/%{name}/gb.opengl.sge.*
%{_datadir}/%{name}/info/gb.opengl.sge.*

#-----------------------------------------------------------------------------

%package gb-openssl
Summary: The Gambas openssl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-openssl
This component allows you to use cryptographic functions wrapping libcrypto
from the OpenSSL project.

%files gb-openssl

%{_libdir}/%{name}/gb.openssl.*
%{_datadir}/%{name}/info/gb.openssl.*

#-----------------------------------------------------------------------------

%package gb-option
Summary: The Gambas command-line option component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-option
This component allows you to interpret command-line options.

%files gb-option

%{_libdir}/%{name}/gb.option.*
%{_datadir}/%{name}/info/gb.option.*

#-----------------------------------------------------------------------------

%package gb-pcre
Summary: The Gambas PCRE component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-pcre
This component allows you to use Perl compatible regular expresions
within Gambas code.

%files gb-pcre

%{_libdir}/%{name}/gb.pcre.*
%{_datadir}/%{name}/info/gb.pcre.*

#-----------------------------------------------------------------------------

%package gb-pdf
Summary: The Gambas PDF component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-pdf
This component allows you to manipulate pdf files with Gambas code.

%files gb-pdf

%{_libdir}/%{name}/gb.pdf.*
%{_datadir}/%{name}/info/gb.pdf.*

#-----------------------------------------------------------------------------
### Qt4 ###

%package gb-qt4
Summary: The Gambas Qt GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4
This package includes the Gambas QT GUI component.

%files gb-qt4

%{_libdir}/%{name}/gb.qt4.component
%{_libdir}/%{name}/gb.qt4.so*
%{_datadir}/%{name}/info/gb.qt4.info
%{_datadir}/%{name}/info/gb.qt4.list

#-----------------------------------------------------------------------------

%package gb-qt4-ext
Summary: The Gambas qt-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4-ext
This package contains the Gambas qt-ext components.

%files gb-qt4-ext

%{_libdir}/%{name}/gb.qt4.ext.*
%{_datadir}/%{name}/info/gb.qt4.ext.*

#-----------------------------------------------------------------------------

%package gb-qt4-opengl
Summary: The Gambas qt-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4-opengl
This package contains the Gambas qt-opengl components.

%files gb-qt4-opengl

%{_libdir}/%{name}/gb.qt4.opengl.*
%{_datadir}/%{name}/info/gb.qt4.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt4-webkit
Summary: The Gambas qt-webkit component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt4-webkit
This package contains the Gambas qt-webkit components.

%files gb-qt4-webkit
%{_libdir}/%{name}/gb.qt4.webkit.*
%{_datadir}/%{name}/info/gb.qt4.webkit.*

#-----------------------------------------------------------------------------
### Qt5 ###

%package gb-qt5
Summary: The Gambas Qt5 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt5
This package includes the Gambas QT5 GUI component.

%files gb-qt5

%{_libdir}/%{name}/gb.qt5.component
%{_libdir}/%{name}/gb.qt5.so*
%{_datadir}/%{name}/info/gb.qt5.info
%{_datadir}/%{name}/info/gb.qt5.list

#-----------------------------------------------------------------------------

%package gb-qt5-ext
Summary: The Gambas qt5-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt5-ext
This package contains the Gambas qt5-ext components.

%files gb-qt5-ext

%{_libdir}/%{name}/gb.qt5.ext.*
%{_datadir}/%{name}/info/gb.qt5.ext.*

#-----------------------------------------------------------------------------

%package gb-qt5-opengl
Summary: The Gambas qt5-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt5-opengl
This package contains the Gambas qt5-opengl components.

%files gb-qt5-opengl

%{_libdir}/%{name}/gb.qt5.opengl.*
%{_datadir}/%{name}/info/gb.qt5.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt5-webkit
Summary: The Gambas qt5-webkit component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-qt5-webkit
This package contains the Gambas qt5-webkit components.

%files gb-qt5-webkit

%{_libdir}/%{name}/gb.qt5.webkit.*
%{_datadir}/%{name}/info/gb.qt5.webkit.*

#-----------------------------------------------------------------------------

%package gb-report
Summary: The Gambas report component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-report
This package contains the Gambas Report components.

%files gb-report

%{_libdir}/%{name}/gb.report.*
%{_datadir}/%{name}/info/gb.report.*
%{_datadir}/%{name}/control/gb.report

#-----------------------------------------------------------------------------

%package gb-report2
Summary: The Gambas report component (version 2)
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-report2
This package contains the Gambas Report (version 2) components.

%files gb-report2

%{_libdir}/%{name}/gb.report2.*
%{_datadir}/%{name}/info/gb.report2.*
%dir %{_datadir}/%{name}/control/gb.report2
%{_datadir}/%{name}/control/gb.report2/*

#-----------------------------------------------------------------------------

%package gb-scanner
Summary: The Gambas Scanner component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-scanner
The Gambas scanner management library is a frontend of the ScanImage program
provided by the sane toolkit.
It allows to easily manage scanner devices in Gambas code.

%files gb-scanner
%{_libdir}/%{name}/gb.scanner.gambas
%{_libdir}/%{name}/gb.scanner.component
%{_datadir}/%{name}/info/gb.scanner.info
%{_datadir}/%{name}/info/gb.scanner.list

#-----------------------------------------------------------------------------

%package gb-sdl
Summary: The Gambas SDL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl
This component use the sound, image and TTF fonts parts of the SDL
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to
accelerate 2D and 3D drawing.

%files gb-sdl
%{_libdir}/%{name}/gb.sdl.so
%{_libdir}/%{name}/gb.sdl.so.*
%{_libdir}/%{name}/gb.sdl.component
%{_datadir}/%{name}/info/gb.sdl.info
%{_datadir}/%{name}/info/gb.sdl.list

#-----------------------------------------------------------------------------

%package gb-sdl-sound
Summary: The Gambas SDL sound component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl-sound
This component allows you to play sounds in Gambas. This component
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real time.

%files gb-sdl-sound

%{_libdir}/%{name}/gb.sdl.sound.*
%{_datadir}/%{name}/info/gb.sdl.sound.*

#-----------------------------------------------------------------------------

%package gb-sdl2
Summary: The Gambas SDL2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl2
This component use the sound, image and TTF fonts parts of the SDL2
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to
accelerate 2D and 3D drawing.

%files gb-sdl2
%{_libdir}/%{name}/gb.sdl2.so
%{_libdir}/%{name}/gb.sdl2.so.*
%{_libdir}/%{name}/gb.sdl2.component
%{_datadir}/%{name}/info/gb.sdl2.info
%{_datadir}/%{name}/info/gb.sdl2.list

#-----------------------------------------------------------------------------

%package gb-sdl2-audio
Summary: The Gambas SDL2 audio component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl2-audio
This component allows you to play sounds in Gambas. This component
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real timeu sing SDL2.

%files gb-sdl2-audio

%{_libdir}/%{name}/gb.sdl2.audio.so
%{_libdir}/%{name}/gb.sdl2.audio.so.*
%{_libdir}/%{name}/gb.sdl2.audio.component
%{_datadir}/%{name}/info/gb.sdl2.audio.info
%{_datadir}/%{name}/info/gb.sdl2.audio.list

#-----------------------------------------------------------------------------

%package gb-settings
Summary: The Gambas settings component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-settings
This components allows you to deal with configuration files.

%files gb-settings

%{_libdir}/%{name}/gb.settings.*
%{_datadir}/%{name}/info/gb.settings.*

#-----------------------------------------------------------------------------

%package gb-signal
Summary: The Gambas signal component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-signal
This package contains the Gambas Signal components.

%files gb-signal

%{_libdir}/%{name}/gb.signal.*
%{_datadir}/%{name}/info/gb.signal.*

#-----------------------------------------------------------------------------

%package gb-util
Summary: The Gambas Util component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-util
This component provides many useful utility methods or classes.

%files gb-util

%{_libdir}/%{name}/gb.util.gambas
%{_libdir}/%{name}/gb.util.component
%{_datadir}/%{name}/info/gb.util.info
%{_datadir}/%{name}/info/gb.util.list

#-----------------------------------------------------------------------------

%package gb-util-web
Summary: The Gambas Util component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

# can be removed for mga7
Conflicts: gambas3-gb-util < 3.8.4-9

%description gb-util-web
This component provides many utilities useful for web applications.

%files gb-util-web

%{_libdir}/%{name}/gb.util.web.gambas
%{_libdir}/%{name}/gb.util.web.component
%{_datadir}/%{name}/info/gb.util.web.info
%{_datadir}/%{name}/info/gb.util.web.list
%dir %{_datadir}/%{name}/control/gb.util.web
%{_datadir}/%{name}/control/gb.util.web/*

#-----------------------------------------------------------------------------

%package gb-v4l
Summary: The Gambas Video4Linux component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-v4l
This components allows you to use the Video4Linux interface with
Gambas.

%files gb-v4l

%{_libdir}/%{name}/gb.v4l.*
%{_datadir}/%{name}/info/gb.v4l.*

#-----------------------------------------------------------------------------

%package gb-vb
Summary: The Gambas Visual Basic(tm) compatibility component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-vb
This component aims at including some functions that imitate the
behaviour of Visual Basic(TM) functions. Use it only if you want to
port some VB projects.

%files gb-vb

%{_libdir}/%{name}/gb.vb.*
%{_datadir}/%{name}/info/gb.vb.*

#-----------------------------------------------------------------------------

%package gb-web
Summary: The Gambas CGI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-web
This components allows you to make CGI web applications using Gambas,
with an ASP-like interface.

%files gb-web

%{_libdir}/%{name}/gb.web.component
%{_libdir}/%{name}/gb.web.gambas
%{_datadir}/%{name}/info/gb.web.info
%{_datadir}/%{name}/info/gb.web.list

#-----------------------------------------------------------------------------

%package gb-web-form
Summary: The Gambas CGI web-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-web-form
This components allows you to make CGI web-form applications using Gambas,
with an ASP-like interface.

%files gb-web-form

%{_libdir}/%{name}/gb.web.form.component
%{_libdir}/%{name}/gb.web.form.gambas
%{_datadir}/%{name}/info/gb.web.form.info
%{_datadir}/%{name}/info/gb.web.form.list
%{_datadir}/%{name}/control/gb.web.form/

#-----------------------------------------------------------------------------

%package gb-libxml
Summary: The Gambas libxml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-libxml
This component allows you to use xml.

%files gb-libxml

%{_libdir}/%{name}/gb.libxml.so*
%{_libdir}/%{name}/gb.libxml.component
%{_datadir}/%{name}/info/gb.libxml.info
%{_datadir}/%{name}/info/gb.libxml.list

#-----------------------------------------------------------------------------

%package gb-logging
Summary: The Gambas logging component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-logging
This component implements a flexible logging system for Gambas applications.
The formatting of messages is based on the RFC5454 document
which describes the standard "syslog" format.

%files gb-logging

%{_libdir}/%{name}/gb.logging.*
%{_datadir}/%{name}/info/gb.logging.info
%{_datadir}/%{name}/info/gb.logging.list

#-----------------------------------------------------------------------------

%package gb-xml
Summary: The Gambas xml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-xml
This component allows you to use xml.

%files gb-xml
%{_libdir}/%{name}/gb.xml.so*
%{_libdir}/%{name}/gb.xml.component
%{_libdir}/%{name}/gb.xml.gambas
%{_datadir}/%{name}/info/gb.xml.info
%{_datadir}/%{name}/info/gb.xml.list

#-----------------------------------------------------------------------------

%package gb-xml-html
Summary: The Gambas xml html component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-html
This component allows you to use xml html.

%files gb-xml-html

%{_libdir}/%{name}/gb.xml.html.so*
%{_libdir}/%{name}/gb.xml.html.component
%{_datadir}/%{name}/info/gb.xml.html.info
%{_datadir}/%{name}/info/gb.xml.html.list

#-----------------------------------------------------------------------------

%package gb-xml-rpc
Summary: The Gambas xml-rpc component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-rpc
This component allows you to use xml-rpc.

%files gb-xml-rpc

%{_libdir}/%{name}/gb.xml.rpc.gambas
%{_libdir}/%{name}/gb.xml.rpc.component
%{_datadir}/%{name}/info/gb.xml.rpc.info
%{_datadir}/%{name}/info/gb.xml.rpc.list

#-----------------------------------------------------------------------------

%package gb-xml-xslt
Summary: The Gambas xml-rpc component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-xml-xslt
This component allows you to use xml-xslt.

%files gb-xml-xslt

%{_libdir}/%{name}/gb.xml.xslt*
%{_datadir}/%{name}/info/gb.xml.xslt*

#-----------------------------------------------------------------------------

%package gb-data
Summary: The Gambas data component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-data
%{summary}.

%files gb-data

%{_libdir}/%{name}/gb.data*
%{_datadir}/%{name}/info/gb.data*

#-----------------------------------------------------------------------------

%package gb-complex
Summary: The Gambas complex component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-complex
This component allows you to work with complex numbers.

%files gb-complex

%{_libdir}/%{name}/gb.complex*
%{_datadir}/%{name}/info/gb.complex*

#-----------------------------------------------------------------------------

%package gb-args
Summary: The Gambas args component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-args
This component allows you to analyze command line arguments.
It should replace the unmaintained gb.option component.

%files gb-args

%{_libdir}/%{name}/gb.args*
%{_datadir}/%{name}/info/gb.args*

#-----------------------------------------------------------------------------

%package gb-httpd
Summary: The Gambas httpd component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-httpd
%{summary}.

%files gb-httpd

%{_libdir}/%{name}/gb.httpd*
%{_datadir}/%{name}/info/gb.httpd*

#-----------------------------------------------------------------------------

%prep
%setup -q
#patch0 -p1 -b .llvmfix
%patch1 -p1 -b .CVE-2013-7447

for i in `find . -name "acinclude.m4"`;
do
	sed -i -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' ${i}
	sed -i 's|$AM_CFLAGS -O3|$AM_CFLAGS|g' ${i}
	sed -i 's|$AM_CXXFLAGS -Os -fno-omit-frame-pointer|$AM_CXXFLAGS|g' ${i}
	sed -i 's|$AM_CFLAGS -Os|$AM_CFLAGS|g' ${i}
	sed -i 's|$AM_CFLAGS -O0|$AM_CFLAGS|g' ${i}
	sed -i 's|$AM_CXXFLAGS -O0|$AM_CXXFLAGS|g' ${i}
done

%build
%setup_compile_flags
./reconf-all
for i in `find -name configure`
do
        (
          pushd `dirname $i`
          %before_configure
          popd
        )
done

%configure2_5x
%make_build

%install
%make_install

%ifarch %{ix86} %{arm}
find %{buildroot} -type f -name gbh3.gambas -delete
find %{buildroot} -name gbh3 -delete
%endif

find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_libdir}/%{name}/gb.so %{buildroot}%{_libdir}/%{name}/gb.so.*

#ln -sf %%{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %%{buildroot}%%{_datadir}/gambas3/gb.sdl/DejaVuSans.ttf

for png in 128x128 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png app/src/%{name}/img/logo/logo.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

install -D -m 644 app/desktop/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -D -m 644 app/src/%{name}/img/logo/logo-ide.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Mar 10 2017 akien <akien> 3.9.2-3.mga6
+ Revision: 1091604
- Rebuild for v4l-utils 1.12.3

* Sat Jan 07 2017 tmb <tmb> 3.9.2-2.mga6
+ Revision: 1080480
- rebuild with new llvm

* Tue Jan 03 2017 daviddavid <daviddavid> 3.9.2-1.mga6
+ Revision: 1079971
- new version: 3.9.2

* Mon Jan 02 2017 luigiwalser <luigiwalser> 3.9.1-3.mga6
+ Revision: 1079507
- rebuild for poppler

* Mon Nov 28 2016 luigiwalser <luigiwalser> 3.9.1-2.mga6
+ Revision: 1070622
- rebuild for poppler

* Sun Sep 11 2016 daviddavid <daviddavid> 3.9.1-1.mga6
+ Revision: 1051500
- new version: 3.9.1
- add gb-form-terminal component
- add gb-qt5-ext component
- add gb-web-form component

* Fri Aug 26 2016 daviddavid <daviddavid> 3.8.4-9.mga6
+ Revision: 1049009
- fix files list between gambas3-gb-util and gambas3-gb-util-web
- add a Conflicts with gambas3-gb-util < 3.8.4-9

* Thu Aug 18 2016 daviddavid <daviddavid> 3.8.4-8.mga6
+ Revision: 1046915
- remove empty gambas3-examples sub-package (mga#19211#c6)
  * removed upstream as all examples files are now downloadable
- enable SDL2 and SDL2-audio support (mga#19211#c7)
- enable OpenAL support (need alure-devel to build)
- enable SQLite2 support

* Thu Aug 18 2016 daviddavid <daviddavid> 3.8.4-7.mga6
+ Revision: 1046900
- add some missing required packages on gambas3-ide sub-package (mga#19211)
- improve description of gambas3-ide sub-package (mga#19211#c4)
- enable Qt5 support and make it the default installed (mga#19212)
- switch BRs to pkgconfig()

* Sat Aug 13 2016 luigiwalser <luigiwalser> 3.8.4-6.mga6
+ Revision: 1046178
- test rebuild for poppler

* Wed May 25 2016 luigiwalser <luigiwalser> 3.8.4-5.mga6
+ Revision: 1018538
- rebuild for poppler

* Mon May 09 2016 luigiwalser <luigiwalser> 3.8.4-4.mga6
+ Revision: 1011749
- rebuild for poppler

* Fri Feb 12 2016 luigiwalser <luigiwalser> 3.8.4-3.mga6
+ Revision: 959174
- add patch to fix CVE-2013-7447

* Thu Feb 04 2016 daviddavid <daviddavid> 3.8.4-2.mga6
+ Revision: 934981
- drop also gbh3 for arm architectures

* Wed Feb 03 2016 daviddavid <daviddavid> 3.8.4-1.mga6
+ Revision: 933997
- new version: 3.8.4
- add new GTK+ 3 subpackage and BR libgtk+3.0-devel
- add more icons
- add French translation in desktop file

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.8.1-3.mga6
+ Revision: 919001
- rebuild for gsl

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.8.1-2.mga6
+ Revision: 917802
- rebuild for poppler

* Sat Sep 19 2015 matteo <matteo> 3.8.1-1.mga6
+ Revision: 881291
- drop gbh3 for ix86 architectures
- drop gbh3* (partially revert previous modification)
- add missing/unpackaged files
- new version 3.8.1

* Mon Aug 24 2015 sander85 <sander85> 3.6.2-7.mga6
+ Revision: 869107
- Rebuild for glew 1.13.0

* Sat Aug 01 2015 shlomif <shlomif> 3.6.2-6.mga6
+ Revision: 860316
- Fix for MGA#16087 (thanks to ysoft). Missing dependency causing non-start.

* Sat Jul 25 2015 tv <tv> 3.6.2-5.mga6
+ Revision: 857573
- rebuild for new poppler

* Tue Jan 06 2015 alexl <alexl> 3.6.2-4.mga6
+ Revision: 808821
- added Russian GenericName in desktop file

* Wed Nov 26 2014 alexl <alexl> 3.6.2-3.mga5
+ Revision: 799473
- key "Encoding" in group "Desktop Entry" is deprecated (fixed)
- added Russian Comment in desktop file

* Tue Nov 25 2014 cjw <cjw> 3.6.2-2.mga5
+ Revision: 798975
- rebuild against postgresql9.4

* Sat Nov 22 2014 matteo <matteo> 3.6.2-1.mga5
+ Revision: 798356
- new version 3.6.2

* Wed Oct 15 2014 umeabot <umeabot> 3.5.4-5.mga5
+ Revision: 750063
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.5.4-4.mga5
+ Revision: 725055
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.4-3.mga5
+ Revision: 679402
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 01 2014 luigiwalser <luigiwalser> 3.5.4-2.mga5
+ Revision: 670266
- rebuild for glew

* Fri Jun 27 2014 matteo <matteo> 3.5.4-1.mga5
+ Revision: 640212
- new version 3.5.4

* Sun May 25 2014 tv <tv> 3.5.3-4.mga5
+ Revision: 626477
- adjust file list (gb-jit being empty package???)
- rebuild for new llvm

  + fwang <fwang>
    - add patch
    - add patch
    - update patch from fedora
    - rebuild for new llvm

* Thu May 01 2014 luigiwalser <luigiwalser> 3.5.3-2.mga5
+ Revision: 619134
- rebuild for poppler

* Sat Apr 26 2014 matteo <matteo> 3.5.3-1.mga5
+ Revision: 618147
- new version 3.5.3

* Fri Mar 07 2014 fwang <fwang> 3.5.2-3.mga5
+ Revision: 600778
- rebuild for llvm 3.4

* Sat Feb 08 2014 fwang <fwang> 3.5.2-2.mga5
+ Revision: 586077
- rebuild for new poppler

* Thu Feb 06 2014 fwang <fwang> 3.5.2-1.mga5
+ Revision: 584414
- 3.5.2

* Fri Nov 22 2013 matteo <matteo> 3.5.1-1.mga4
+ Revision: 552384
- new bugfix release (3.5.1)

* Fri Nov 22 2013 matteo <matteo> 3.5.0-2.mga4
+ Revision: 552335
- fixed: missing requirements from gambas3-ide, i.e. gb-clipper and gb-geom (bug mga#11733)

* Sun Oct 27 2013 matteo <matteo> 3.5.0-1.mga4
+ Revision: 547215
- * new version 3.5.0
- drops statically defined optimization flags from the automake files (acinclude.m4)
- adds gb-clipper component
- moves geometry classes to the gb-geom (hidden) component
- adds gb-gmp component
- adds gb-mime component
- adds gb-net-pop3 component
- adds gb-opengl-sge component
- adds gb-openssl component
- adds gb-logging component

* Sat Oct 19 2013 umeabot <umeabot> 3.4.2-3.mga4
+ Revision: 532706
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 fwang <fwang> 3.4.2-2.mga4
+ Revision: 469300
- more fixes from upstream
- apply correct patch
- add more fix from upstream to build with llvm3.3
- rebuild for new llvm

* Wed Jul 31 2013 fwang <fwang> 3.4.2-1.mga4
+ Revision: 461356
- new version 3.4.2
- rebuild for new poppler

* Wed Jul 24 2013 sander85 <sander85> 3.4.1-4.mga4
+ Revision: 457706
- Rebuild for new glew

* Sat Jul 20 2013 fwang <fwang> 3.4.1-3.mga4
+ Revision: 456508
- rebuild for new poppler

* Mon Jun 03 2013 fwang <fwang> 3.4.1-2.mga4
+ Revision: 435550
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 3.4.1-1.mga4
+ Revision: 425822
- new version 3.4.1

* Wed Mar 13 2013 fwang <fwang> 3.4.0-3.mga3
+ Revision: 402428
- use system font file

* Sat Feb 23 2013 matteo <matteo> 3.4.0-2.mga3
+ Revision: 400150
- added missing requirement for gambas3-ide (fix bug mga#9105)

* Sun Feb 10 2013 matteo <matteo> 3.4.0-1.mga3
+ Revision: 397788
- new version

* Fri Jan 11 2013 umeabot <umeabot> 3.3.4-6.mga3
+ Revision: 351030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 3.3.4-5.mga3
+ Revision: 336399
- rebuild for new poppler

* Sun Dec 30 2012 matteo <matteo> 3.3.4-4.mga3
+ Revision: 336360
- fix build with automake 1.13
- improved llvm fix

* Tue Dec 25 2012 matteo <matteo> 3.3.4-3.mga3
+ Revision: 334972
- fixed llvm related compilation issue

* Sat Dec 01 2012 fwang <fwang> 3.3.4-2.mga3
+ Revision: 323773
- rebuild for new pcre

* Mon Nov 19 2012 matteo <matteo> 3.3.4-1.mga3
+ Revision: 319671
- new version

* Thu Nov 15 2012 fwang <fwang> 3.3.3-3.mga3
+ Revision: 318175
- update file list
- drop sqlite2 component

* Mon Nov 12 2012 fwang <fwang> 3.3.3-2.mga3
+ Revision: 317121
- rebuild for new poppler
- update rpm group

* Wed Oct 10 2012 matteo <matteo> 3.3.3-1.mga3
+ Revision: 304521
- new version

* Wed Oct 10 2012 tv <tv> 3.3.2-2.mga3
+ Revision: 304198
- rebuild with new poppler

* Tue Oct 02 2012 matteo <matteo> 3.3.2-1.mga3
+ Revision: 301993
- new version

* Fri Sep 28 2012 matteo <matteo> 3.3.1-1.mga3
+ Revision: 299116
- new version

* Mon Sep 24 2012 matteo <matteo> 3.3.0-1.mga3
+ Revision: 297031
- new version

* Tue Sep 11 2012 fwang <fwang> 3.2.1-6.mga3
+ Revision: 292147
- rebuild for new poppler

* Mon Aug 20 2012 sander85 <sander85> 3.2.1-5.mga3
+ Revision: 282509
- Rebuild for new glew

* Mon Aug 06 2012 luigiwalser <luigiwalser> 3.2.1-4.mga3
+ Revision: 278979
- rebuild for libffi

* Fri Aug 03 2012 matteo <matteo> 3.2.1-3.mga3
+ Revision: 278044
- added gb-jit component (now available thanks to llvm-3.1)

* Thu Aug 02 2012 fwang <fwang> 3.2.1-2.mga3
+ Revision: 277811
- rebuild for new glew

* Sat Jul 21 2012 matteo <matteo> 3.2.1-1.mga3
+ Revision: 273209
- added missing files (info, list) into gb-xml-rpc subpackage
- new version

* Sun Jul 01 2012 matteo <matteo> 3.2.0-1.mga3
+ Revision: 265776
- pre-release of gambas3-3.2.0
- removed wrongly added patch

* Wed Jun 13 2012 fwang <fwang> 3.2-0.svn.4819.3.mga3
+ Revision: 260236
- rebuild for new poppler

* Wed Jun 13 2012 matteo <matteo> 3.2-0.svn.4819.2.mga3
+ Revision: 260153
- added missing br preventing gnome keyring support

* Sun Jun 10 2012 matteo <matteo> 3.2-0.svn.4819.1.mga3
+ Revision: 259217
- new version

* Sun Apr 22 2012 matteo <matteo> 3.1.1-1.mga2
+ Revision: 232568
- new stable release
  - fixed many bugs afflicting the package builder
  - added gsl component
  - fixed more than 150 bugs
  - added patch fixing DrawingArea bug

* Sun Jan 08 2012 fwang <fwang> 3.0.0-5.mga2
+ Revision: 193128
- fix typo on packag ename

* Sun Jan 08 2012 fwang <fwang> 3.0.0-4.mga2
+ Revision: 193119
- add more req as suggested upstream

* Fri Jan 06 2012 matteo <matteo> 3.0.0-3.mga2
+ Revision: 191982
+ rebuild (emptylog)

* Tue Jan 03 2012 matteo <matteo> 3.0.0-2.mga2
+ Revision: 190193
- spec file reviewed
- fixed gambas3-ide requirements

* Sat Dec 31 2011 matteo <matteo> 3.0.0-1.mga2
+ Revision: 189303
- version upgrade

* Mon Dec 26 2011 fwang <fwang> 2.99.7-4.mga2
+ Revision: 187691
- fix req

* Sun Dec 25 2011 matteo <matteo> 2.99.7-3.mga2
+ Revision: 187486
- bump release
- fixed gambas3-ide buildrequirements

* Sat Dec 24 2011 matteo <matteo> 2.99.7-2.mga2
+ Revision: 187268
- description fixed

* Sat Dec 24 2011 matteo <matteo> 2.99.7-1.mga2
+ Revision: 187259
- version upgrade

* Sun Dec 18 2011 fwang <fwang> 2.99.6-4.mga2
+ Revision: 183641
- br qtwebkit

* Thu Dec 08 2011 fwang <fwang> 2.99.6-3.mga2
+ Revision: 178870
- rebuild for new odbc

* Thu Nov 10 2011 matteo <matteo> 2.99.6-2.mga2
+ Revision: 166235
- increased release value
- fixed wrong requires:
- gambas3-ide requires gambas3-examples
- gambas3-examples suggests gambas3-ide

  + fwang <fwang>
    - build examples as noarch package

* Tue Nov 01 2011 matteo <matteo> 2.99.6-1.mga2
+ Revision: 160986
- version upgrade

* Fri Oct 28 2011 fwang <fwang> 2.99.5-4.mga2
+ Revision: 158960
- rebuild for new poppler

* Tue Oct 25 2011 matteo <matteo> 2.99.5-3.mga2
+ Revision: 157916
- spec file reviewed

* Tue Oct 11 2011 fwang <fwang> 2.99.5-2.mga2
+ Revision: 153842
- dont know why we drop .so files

* Tue Oct 11 2011 matteo <matteo> 2.99.5-1.mga2
+ Revision: 153762
- fixed description
- upgraded to rc5

* Mon Oct 03 2011 fwang <fwang> 2.99.4-3.mga2
+ Revision: 151171
- rebuild for new glew

  + matteo <matteo>
    - spec file cleaned (rpmlint warns)

* Tue Sep 27 2011 ovitters <ovitters> 2.99.4-2.mga2
+ Revision: 149388
- rebuild for new poppler

* Sun Sep 25 2011 matteo <matteo> 2.99.4-1.mga2
+ Revision: 147664
- spec fixed
- sources updated

* Wed Sep 21 2011 fwang <fwang> 2.99.3-3.mga2
+ Revision: 146255
- drop .la files

* Mon Sep 12 2011 fwang <fwang> 2.99.3-2.mga2
+ Revision: 142649
- rebuild for new libpng

* Wed Sep 07 2011 matteo <matteo> 2.99.3-1.mga2
+ Revision: 140697
- added libxtst-devel, libxml2-devel and libxslt-devel as buildrequires
- added xdg-utils as buildrequire
- added desktop-file-utiles as buildrequirement
- fixed some paths using not standard macros
- upgraded sources
- added gambas3.desktop file to sources
- fixed typo into package version
- fixed package version
- imported package gambas3

